Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus create`

Create instances from images

## Synopsis

Description: Create instances from images

    incus create [<remote>:]<image> [<remote>:][<name>] [flags]

## Examples

      incus create images:ubuntu/22.04 u1

      incus create images:ubuntu/22.04 u1 < config.yaml
          Create the instance with configuration from config.yaml

## Options

      -c, --config        Config key/value to apply to the new instance
      -d, --device        New key/value to apply to a specific device
          --empty         Create an empty instance
      -e, --ephemeral     Ephemeral instance
      -n, --network       Network name
          --no-profiles   Create the instance with no profiles applied
      -p, --profile       Profile to apply to the new instance
      -s, --storage       Storage pool name
          --target        Cluster member name
      -t, --type          Instance type
          --vm            Create a virtual machine

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus - Command line client for Incus